<%= form_for @elasticsearch, url: home_index_path, remote: true do |form| %>
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Checkout example for Bootstrap</title>
  </head>

  <body class="bg-light">

    <div class="container">
      <div class="py-5 text-center">
        <p class="lead">Fill out the fields and click 'GET DATA'.</p>
      </div>

      <div class="row">
        <div class="col-md-2 order-md-2 mb-2">
          <h4 class="d-flex justify-content-between align-items-center mb-3"></h4>
        </div>

        <div class="col-md-8 order-md-1">
          <form class="needs-validation" novalidate>
            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="esurl">ELASTICSEARCH URL</label>
                <%= form.text_field :esurl, required: true, class: 'form-control', value: "172.19.0.2"%>
              </div>
              <div class="col-md-6 mb-3">
                <label for="esport">ELASTICSEARCH PORT</label>
                <%= form.text_field :esport, required: true, class: 'form-control', value: "9200" %>
              </div>
            </div>

            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="httpbasicusername">HTTP BASIC USERNAME</label>
                <%= form.text_field :httpbasicusername, class: 'form-control', placeholder: "optional" %>
              </div>
              <div class="col-md-6 mb-3">
                <label for="httpbasicpassword">HTTP BASIC PASSWORD</label>
                <%= form.text_field :httpbasicpassword, class: 'form-control', placeholder: "optional"%>
              </div>
            </div>

            <hr class="mb-4">

            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="searchtext">TEXT TO SEARCH FOR</label>
                <%= form.text_area :searchtext, required: true, cols: "84", rows: "2", placeholder: "Enter what you are searching with here..."%>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="textcontent">TEXT TO SEARCH AGAINST</label>
                <%= form.text_area :textcontent, required: true, cols: "84", rows: "15", placeholder: "Copy and paste the code sample here..." %>
              </div>
            </div>

            <hr class="mb-4">
            <button class="btn btn-primary btn-lg btn-block" type="submit">GET DATA</button>
          </form>
        </div>
      </div>

      <footer class="my-5 pt-5 text-muted text-center text-small">
        <p></p>
        <p class="mb-1"><img class="d-block mx-auto mb-4" src="<%= asset_path( 'tanuki.png' ) %>" alt="" width="24" height="24">GitLab Elasticsearch Analyzer</p>
        <ul class="list-inline">
        </ul>
      </footer>
    </div>
  </body>
</html>
<% end %>
